Get Shipment by Shipment Docs Id or Shipment Number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve the details of a Shipment based on its unique shipment number.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/shipment/{shipmentdocs_id}

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following main details:

  • Header Details
  • Payment Details
  • Processing Dates
  • Additional Info

Request Parameters

To fetch a shipment, provide the required field, which is the "Shipment Number" {shipment_no}. Alternatively, users can also pass the Shipment Docs Id {shipmentdocs_id} in place of the Shipment Number for retrieval.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/shipment/{shipmentdocs_id}

Response

{
    "header_details": {
        "exporter_lbl": null,
        "buyer_if_not_consignee_id_lbl": null,
        "consignee": null,
        "buyer": null,
        "packer_supplier_lbl": null,
        "forwarding_agent": null,
        "buyer_if_not_consignee_id": null,
      
      //Additional Information
}

This example demonstrates a request to fetch the shipment details with the provided shipment docs id. The response includes details such as the header details, payment details, processing dates, additional information.

Path Params
string
required

The unique identifier for the shipment, which can be either the Shipment Docs Id or the Shipment Number.

Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json